CadXP: Joindre plusieurs polylignes en 1 seul fois - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Joindre plusieurs polylignes en 1 seul fois

#1 L'utilisateur est hors-ligne   philous2 

  • ceinture noire
  • Groupe : Membres
  • Messages : 430
  • Inscrit(e) : 13-février 08

Posté 13 octobre 2008 - 21:40

Existe-t-il une commande ou lisp pour faire la jonction en 1 seule opération de plusieurs polylignes pas tjrs pile poil aux extrémités et donc avec un mini intervalle souvent invisible à l'oeil. Il me semble qu'il y a une commande mais me rappelle plus
0

#2 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 13 octobre 2008 - 21:43

Salut,

Commande PEDIT, option Multiple...
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#3 L'utilisateur est hors-ligne   philous2 

  • ceinture noire
  • Groupe : Membres
  • Messages : 430
  • Inscrit(e) : 13-février 08

Posté 13 octobre 2008 - 21:57

OK gile mais qd les polylignes ne sont pas vraiment bien lié et qu'il existe ne serait-ce qu'un infime espace entre les extrémités la jonction ne se fait pas d'ou ma question existe--il une commande ou lisp qui puisse combler le petit espace éventuel entre 2 polylignes pour pouvoir les joindre.
0

#4 L'utilisateur est hors-ligne   LUDWIG 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 314
  • Inscrit(e) : 02-novembre 04
  • LocationSALIES DE BEARN

Posté 13 octobre 2008 - 22:05

après Pedit multiple, tu fais l'option joindre, type de jointure "les Deux", et distance de jointure adéquate.

PS : moi j'utilise jpl de (Gile) mais je ne sais pas s'il y a une tolérance pour la jointure. A la limite, je suis sûr que c'est l'histoire de deux variables à mettre dans le lisp (type de jointure et distance) mais ke n'ai pas trouvé...

[Edité le 13/10/2008 par LUDWIG]
0

#5 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 14 octobre 2008 - 05:56

Salut,

Comme dit Ludwig :

Commande: pedit
Sélectionnez la polyligne ou [Multiple]: m

Choix des objets: Spécifiez le coin opposé: 3 trouvé(s)

Choix des objets:

Entrez une option
[Clore/Ouvrir/Joindre/LArgeur/Lissage/sPline/Retrouver/Typeligne gén/Annuler]: j

Type de jointure = Prolonger
[surligneur]Entrez une distance approximative ou [type de Jointure] <0.00>:[/surligneur]


Le LISP jpl ne fait que lancer PEDIT avec ces options et une distance de 0.0.
Il suffit de remplacer, dans le code, les deux 0.0 par la distance qui te convient.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#6 L'utilisateur est hors-ligne   philous2 

  • ceinture noire
  • Groupe : Membres
  • Messages : 430
  • Inscrit(e) : 13-février 08

Posté 14 octobre 2008 - 10:03

SLT GILE, j'ai bien lu ton lisp jpl super bien simple et plus direct que pedit.
Par contre ds pedit j'ai un petit soucis apres avoir cliqué joint je n'ai pas la boite de dialogue " Type de jointure = Prolonger
Entrez une distance approximative ou [type de Jointure] <0.00>:
"
Enfin dernière question si tu modifies directement cette valeyure ds pedit est-ce que cela se modifier ds le lisp jpl ou bien s'il faut modifier cette valeur ds le texte de la macro !

0

#7 L'utilisateur est hors-ligne   LUDWIG 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 314
  • Inscrit(e) : 02-novembre 04
  • LocationSALIES DE BEARN

Posté 14 octobre 2008 - 11:22

Ce n'est pas une boite de dialogue.
Quand il met le message Entrez une distance approximative ou [type de Jointure] <0.00>:
Tu tapes J et là, il te propose les type de jointures. Tu tapes la lettre en majuscule du type de jointure que tu veux.

Si tu modifies la valeur dans pedit et que tu lances jpl, il reprendra la valeur donnée dans jpl. Donc il te faut modifier la valeur dans le texte du programme.
0

#8 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 425
  • Inscrit(e) : 02-septembre 05

Posté 14 octobre 2008 - 17:49

Citation

Enfin dernière question si tu modifies directement cette valeyure ds pedit est-ce que cela se modifier ds le lisp jpl ou bien s'il faut modifier cette valeur ds le texte de la macro !


Le LISP répond à toutes les options, c'est donc le code du LISP qu'il faut modifier si tu veux changer la distance.

(defun c:jpl (/ ss)
  (and (or
	 (and (= (getvar "pickfirst") 1)
	      (setq ss (ssget "_I" '((0 . "ARC,LINE,LWPOLYLINE"))))
	 )
	 (setq ss (ssget '((0 . "ARC,LINE,LWPOLYLINE"))))
       )
       (if (= (getvar "peditaccept") 1)
	 (vl-cmdf "_.pedit" "_m" ss "" "_j" 0.0 "")
	 (vl-cmdf "_.pedit" "_m" ss "" "_y" "_j" 0.0 "")
       )
  )
  (princ)
)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#9 L'utilisateur est hors-ligne   x_all 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3 639
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 20 octobre 2014 - 10:17

c'est moi oubien...

Avant la 2015, ce petit lisp me jointais parfaitement tout.
depuis la 2015, si je cherche à joindre des polylignes entre elle, ça ne marche pas à tous les coup. s'il y a des lignes et des polylignes ça marche mieux...
je remet le code qui a du un peu morfler avec le temps dans l'éditeur cadxp

(defun c:jpl (/ ss)
  (and (or
	 (and (= (getvar "pickfirst") 1)
	  	(setq ss (ssget "_I" '((0 . "ARC,LINE,LWPOLYLINE"))))
	 )
	 (setq ss (ssget '((0 . "ARC,LINE,LWPOLYLINE"))))
   	)
   	(if (= (getvar "peditaccept") 1)
	 (vl-cmdf "_.pedit" "_m" ss "" "_j" 0.0 "")
	 (vl-cmdf "_.pedit" "_m" ss "" "_y" "_j" 0.0 "")
   	)
  )
  (princ)
)


ce serai pas à cause de " vl-cmdf "qui marche pas bien pareil?
"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

quelques trucs sur autocad
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)